Preferences > Advanced stub-threshold message is confusing
Closed, ResolvedPublic

Description

  1. Visit Special:Preferences > Appearance
  2. Under "Advanced options" there's a preference labeled "Threshold for stub link formatting (bytes):"
  3. Click the reddish "stub link" link.

Result: you go back to the main Preferences page.

Expected result: I expected a link to a missing page (because reddish) that's intended to more information about "stub links".

But this behavior is actually intended, see brion's comment in T11886: Provide a means to give an example "stub" link in "stubthreshold" message. The 'stub-threshold' message is the HTML:

Threshold for <a href="#" class="stub">stub link</a> formatting (bytes):

If you look carefully at Preferences, you're not seeing a redlink to a missing explanation of what a "stub link" is, you're seeing the actual presentation of a stub link via a link styled with class="stub".

The fix is for the message to be clearer, e.g.:
"Threshold in bytes for stub link rendering (sample):"

While I'm here, the qqq.json doc for 'stub-threshold' gives the wrong tab and is unhelpful (ditto 'imagemaxsize'):

Used in [[Special:Preferences]], tab "Misc".

Note the entire feature is controversial, T30426: Remove stub link formatting user preference from MediaWiki core.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2015, 4:17 AM
Devirk added a subscriber: Devirk.Aug 5 2015, 12:24 PM
Devirk claimed this task.Aug 5 2015, 1:23 PM
Devirk set Security to None.

Change 230288 had a related patch set uploaded (by Devirk):
Preferences > Advanced stub-threshold message is confusing Message changed from "Threshold for stub link formatting bytes to "Threshold in bytes for stub link rendering sample"

https://gerrit.wikimedia.org/r/230288

Change 230288 had a related patch set uploaded (by TTO):
Reword 'stub-threshold' message in Special:Preferences advanced section

https://gerrit.wikimedia.org/r/230288

Jdforrester-WMF closed this task as "Resolved".Sep 1 2015, 11:17 PM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 230288 merged by jenkins-bot:
Reword 'stub-threshold' message in Special:Preferences advanced section

https://gerrit.wikimedia.org/r/230288